<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
   <modelVersion>4.0.0</modelVersion>
   <groupId>de.fujaba</groupId>
   <artifactId>SVGGen</artifactId>

   <!-- ~~~~~~~ basic usage info ~~~~~~~
        (obviously you will need Maven 2 to use this)
        #compile sources:
          mvn compile
        #compile source, test source and run tests
          mvn test
        #clean target folder
          mvn clean
        #run application
          mvn compile exec:java
        #download libraries and store them in the libs folder (useful for setting up your IDE or ship libraries)
          mvn dependency:copy-dependencies
   -->

   <packaging>jar</packaging>
   <version>5.1-SNAPSHOT</version>
   <name>SVGGen</name>
   <description>SVG, PDF, PNG generator for Fujaba diagrams</description>
   <url>http://www.se.eecs.uni-kassel.de/</url>
   <organization>
      <name>Fujaba Development Team Kassel</name>
      <url>http://www.se.eecs.uni-kassel.de/</url>
   </organization>
   <developers>
      <developer>
         <organization>Fujaba Development Team Kassel</organization>
      </developer>
   </developers>
   <licenses>
      <license><name>LGPL</name><url>http://www.gnu.org/licenses/lgpl.html</url></license>
   </licenses>
   <issueManagement>
      <system>GForge</system>
      <url>https://dsd-serv.uni-paderborn.de/tracker/?group_id=64</url>
   </issueManagement>
   <ciManagement>
      <system>Continuum</system>
      <url>http://www.se.eecs.uni-kassel.de/continuum/</url>
   </ciManagement>
   <dependencies>
      <dependency>
         <groupId>de.fujaba</groupId>
         <artifactId>Fujaba</artifactId>
         <version>5.1.0-SNAPSHOT</version>
      </dependency>
      <!--<dependency>
         <groupId>batik</groupId>
         <artifactId>batik-awt-util</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-bridge</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-css</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-dom</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-ext</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-extension</artifactId>
         <version>1.5</version>
      </dependency>-->
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-gui-util</artifactId>
         <version>1.5</version>
      </dependency>
      <!--<dependency>
         <groupId>batik</groupId>
         <artifactId>batik-gvt</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-parser</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-script</artifactId>
         <version>1.5</version>
      </dependency>-->
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-svg-dom</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-svggen</artifactId>
         <version>1.5</version>
      </dependency>
      <!--<dependency>
         <groupId>batik</groupId>
         <artifactId>batik-swing</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-transcoder</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-util</artifactId>
         <version>1.5</version>
      </dependency>
      <dependency>
         <groupId>batik</groupId>
         <artifactId>batik-xml</artifactId>
         <version>1.5</version>
      </dependency>-->
      <dependency>
         <groupId>fop</groupId>
         <artifactId>fop</artifactId>
         <version>0.20.5</version>
      </dependency>
      <dependency>
         <groupId>junit</groupId>
         <artifactId>junit</artifactId>
         <version>3.8.1</version>
         <scope>test</scope>
      </dependency>
   </dependencies>
   <scm>
      <url>
         https://dsd-serv.uni-paderborn.de/cgi-bin/svggen/cgi/viewcvs.cgi/SVGGen/?only_with_tag=Fujaba5
      </url>
      <connection>
         scm:svn:https://dsd-serv.uni-paderborn.de/svn/svggen/trunk/SVGGen
      </connection>
   </scm>
   <build>
      <directory>target</directory>
      <outputDirectory>target/classes</outputDirectory>
      <finalName>${artifactId}-${version}</finalName>
      <testOutputDirectory>target/test-classes</testOutputDirectory>
      <sourceDirectory>src</sourceDirectory>
      <testSourceDirectory>test</testSourceDirectory>
      <resources>
         <resource>
            <directory>src</directory>
            <excludes><exclude>**/*.java</exclude></excludes>
         </resource>
         <resource>
            <directory>.</directory>
            <includes><include>*.xml</include></includes>
         </resource>
      </resources>
      <testResources>
         <testResource>
            <directory>testsrc</directory>
            <excludes><exclude>**/*.java</exclude></excludes>
         </testResource>
      </testResources>
      <plugins>
         <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-compiler-plugin</artifactId>
            <configuration>
               <source>1.5</source>
               <target>1.5</target>
            </configuration>
         </plugin>
         <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-scm-plugin</artifactId>
            <configuration>
               <branch>Fujaba5</branch>
            </configuration>
         </plugin>
      </plugins>
      <!-- extensions>
         <extension>
            <groupId>org.apache.maven.wagon</groupId>
            <artifactId>wagon-ssh-external</artifactId>
         </extension>
      </extensions -->
   </build>
   <reporting>
      <plugins>
         <!--<plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-surefire-report-plugin</artifactId>
         </plugin>
         <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>cobertura-maven-plugin</artifactId>
         </plugin>
         <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-javadoc-plugin</artifactId>
         </plugin>-->
      </plugins>
   </reporting>
   <distributionManagement>
      <repository>
         <id>ssh-se.uni-kassel.de</id>
         <url>scpexe://www.se.eecs.uni-kassel.de/home/maven/public_html/repository</url>
      </repository>
   </distributionManagement>
   <repositories>
      <repository>
         <id>se.uni-kassel.de</id>
         <name>se@uni-kassel.de</name>
         <url>http://www.se.eecs.uni-kassel.de/~maven/repository/</url>
      </repository>
   </repositories>
</project>
